-- New Post in ecto
--
-- This is a template script.
-- Scripts for other weblog editors are possible:
-- just make a new script called NewPostInAppName.applescript,
-- where AppName is the name of the editor.
--
-- Created by Miles Metcalfe
-- Sent to me via email 3 Sep 2006

tell application "ecto"
	(* There is no link equivalent in ecto. Not sure what it does in ME, in any case. With Blojsom or Weblog Server using the Metaweblog API, it appears to do nothing. There are two options here: either to do a Gruber-style permalink is link to URL, or a Boing-Boing-style link follows the body text. Gruber is currently set.*)
	set GruberStylie to false
	activate
	set thePost to make new document at the beginning of documents
	tell thePost
		if GruberStylie is true then
			set entry title to "<a href=\"" & "[[pageURL]]" & "\" rel=\"bookmark\">" & "[[pageTitle]]" & "</a>"
			set entry body to "[[bodyText]]"
		else
			set entry title to "[[pageTitle]]"
			set entry body to "[[bodyText]]"
			-- set entry body to entry body & "<p><a href=\"" & "[[pageURL]]" & "\" rel=\"bookmark\">Link</a></p>"
			-- PBS 7 May 2007: no link (pageURL) needed at all. Not sure why it's in the MarsEdit script -- it's not used.
		end if
	end tell
end tell
