set posix_file to "[filepath]"
set applescript_file to POSIX file posix_file

set playlistName to "[playlist_name]"
set genreName to "[genre_name]"

tell application "iTunes"
	
	set enclosure_file to add applescript_file
	
	if playlistName is not "" then
		try
			duplicate enclosure_file to user playlist playlistName
		on error errorMessage number errorNumber
			if errorNumber is -10006 then
				set name of (make new user playlist) to playlistName
				duplicate enclosure_file to user playlist playlistName
			end if
		end try
	end if
	
	if genreName is not "" then
		set genre of enclosure_file to genreName
	end if
	
end tell